package com.ys.bdtp.adm.mvvm.model.db.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

/**
 * project 表: 项目表
 *
 * @param projectId 项目id
 * @param projectName 项目名称
 * @param groupCode 集团编码
 * @param groupName 集团名称
 */
@Entity(tableName = "project")
data class ProjectEntity(
    @PrimaryKey @ColumnInfo(name = "id") val projectId: String,
    @ColumnInfo(name = "name") val projectName: String,
    @ColumnInfo(name = "group_code") val groupCode: String,
    @ColumnInfo(name = "group_name") val groupName: String,
    @ColumnInfo(name = "user_id") var userId: String = "",
)