package com.ys.bdtp.adm.mvvm.model.db.entity.dict


import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import com.google.gson.JsonElement

/**
 * basic_config 表
 *
 * @author bai
 *
 * @param code 配置项编码
 * @param name 配置项名称
 * @param data 配置项内容
 *
 */
@Entity(tableName = "basic_config")
data class BasicConfigEntity(
    @PrimaryKey val id: String,
    @ColumnInfo(name = "code") val code: String,               // 配置项编码
    @ColumnInfo(name = "name") val name: String,               // 配置项名称
    @ColumnInfo(name = "data") val data: JsonElement? = null,  //
)